(function (global, factory) {
	typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/common')) :
	typeof define === 'function' && define.amd ? define(['exports', '@angular/core', '@angular/common'], factory) :
	(factory((global['ngx-responsive-stack-table'] = {}),global.core,global.common));
}(this, (function (exports,core,common) { 'use strict';

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var ResponsiveStackTableDirective = (function () {
    function ResponsiveStackTableDirective(_tableEle, renderer) {
        this._tableEle = _tableEle;
        this.renderer = renderer;
        this._tableEle.nativeElement.classList.add("ngx-responsive-stack-table");
    }
    /**
     * @return {?}
     */
    ResponsiveStackTableDirective.prototype.ngAfterViewInit = /**
     * @return {?}
     */
    function () {
        this.initResponsiveTable();
    };
    /**
     * @return {?}
     */
    ResponsiveStackTableDirective.prototype.initResponsiveTable = /**
     * @return {?}
     */
    function () {
        // this.renderer.setStyle(this._tableEle.nativeElement, "backgroundColor", "red");
        var /** @type {?} */ curTable = this._tableEle.nativeElement;
        var /** @type {?} */ isIntiated = curTable.getAttribute("isTableIntiated");
        if (isIntiated == null) {
            var /** @type {?} */ tableRows = curTable["rows"];
            if (tableRows != null && tableRows.length > 1) {
                var /** @type {?} */ tableHeaderCells = tableRows.item(0).cells;
                if (tableHeaderCells != null) {
                    for (var /** @type {?} */ index = 1; index < tableRows.length; index++) {
                        var /** @type {?} */ trCell = tableRows[index].cells;
                        for (var /** @type {?} */ i in trCell) {
                            if (typeof (trCell[i]) == "object") {
                                trCell[i].setAttribute("data-title", tableHeaderCells[i].innerHTML);
                            }
                        }
                    }
                    this._tableEle.nativeElement.setAttribute("isTableIntiated", true);
                }
            }
        }
    };
    ResponsiveStackTableDirective.decorators = [
        { type: core.Directive, args: [{
                    selector: '[NgxResponsiveStackTable],[ResponsiveStackTable],[data-responsive-stacktable]'
                },] },
    ];
    /** @nocollapse */
    ResponsiveStackTableDirective.ctorParameters = function () { return [
        { type: core.ElementRef, },
        { type: core.Renderer2, },
    ]; };
    return ResponsiveStackTableDirective;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var NgxResponsiveStackTableModule = (function () {
    function NgxResponsiveStackTableModule() {
    }
    /**
     * @return {?}
     */
    NgxResponsiveStackTableModule.forRoot = /**
     * @return {?}
     */
    function () {
        return {
            ngModule: NgxResponsiveStackTableModule
        };
    };
    NgxResponsiveStackTableModule.decorators = [
        { type: core.NgModule, args: [{
                    imports: [
                        common.CommonModule
                    ],
                    declarations: [
                        ResponsiveStackTableDirective
                    ],
                    exports: [
                        ResponsiveStackTableDirective
                    ]
                },] },
    ];
    /** @nocollapse */
    NgxResponsiveStackTableModule.ctorParameters = function () { return []; };
    return NgxResponsiveStackTableModule;
}());

exports.NgxResponsiveStackTableModule = NgxResponsiveStackTableModule;
exports.ResponsiveStackTableDirective = ResponsiveStackTableDirective;

Object.defineProperty(exports, '__esModule', { value: true });

})));
